Update return inventory handling
curl --request POST \
--url https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling \
--header 'Content-Type: application/json' \
--header 'x-rr-apikey: <api-key>' \
--header 'x-rr-apitoken: <api-key>' \
--data '
{
"returnInventoryId": 123,
"handlingCode": "<string>"
}
'import requests
url = "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling"
payload = {
"returnInventoryId": 123,
"handlingCode": "<string>"
}
headers = {
"x-rr-apikey": "<api-key>",
"x-rr-apitoken": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-rr-apikey': '<api-key>',
'x-rr-apitoken': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({returnInventoryId: 123, handlingCode: '<string>'})
};
fetch('https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'returnInventoryId' => 123,
'handlingCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-rr-apikey: <api-key>",
"x-rr-apitoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling"
payload := strings.NewReader("{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-rr-apikey", "<api-key>")
req.Header.Add("x-rr-apitoken", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling")
.header("x-rr-apikey", "<api-key>")
.header("x-rr-apitoken", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-rr-apikey"] = '<api-key>'
request["x-rr-apitoken"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"correlationId": "<string>",
"meta": {
"status": 123,
"data": {},
"errorCode": "<string>",
"error": {}
}
}{
"correlationId": "<string>",
"meta": {
"status": 123,
"data": {},
"errorCode": "<string>",
"error": {}
}
}返品在庫
Return Inventory Handling を更新
POST
/
api
/
ReturnInventory
/
UpdateReturnInventoryHandling
Update return inventory handling
curl --request POST \
--url https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling \
--header 'Content-Type: application/json' \
--header 'x-rr-apikey: <api-key>' \
--header 'x-rr-apitoken: <api-key>' \
--data '
{
"returnInventoryId": 123,
"handlingCode": "<string>"
}
'import requests
url = "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling"
payload = {
"returnInventoryId": 123,
"handlingCode": "<string>"
}
headers = {
"x-rr-apikey": "<api-key>",
"x-rr-apitoken": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-rr-apikey': '<api-key>',
'x-rr-apitoken': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({returnInventoryId: 123, handlingCode: '<string>'})
};
fetch('https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'returnInventoryId' => 123,
'handlingCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-rr-apikey: <api-key>",
"x-rr-apitoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling"
payload := strings.NewReader("{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-rr-apikey", "<api-key>")
req.Header.Add("x-rr-apitoken", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling")
.header("x-rr-apikey", "<api-key>")
.header("x-rr-apitoken", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.returnshelper.com/uat/user/api/ReturnInventory/UpdateReturnInventoryHandling")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-rr-apikey"] = '<api-key>'
request["x-rr-apitoken"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"returnInventoryId\": 123,\n \"handlingCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"correlationId": "<string>",
"meta": {
"status": 123,
"data": {},
"errorCode": "<string>",
"error": {}
}
}{
"correlationId": "<string>",
"meta": {
"status": 123,
"data": {},
"errorCode": "<string>",
"error": {}
}
}このページはAIによって自動翻訳されています。API技術仕様は英語が正式です。不明点がある場合は英語版を参照してください。
呼び出すタイミング
- カスタマーサポートまたはオペレーションチームがハンドリングを決定した後。
必須フィールド
returnInventoryId— long。存在し、アカウントに属していること。倉庫でパーセルがログされたタイミングのnewInventoryCreatedwebhook イベントで配信されます。後続の処理に備え、自社側でキャッシュしてください。webhook ストリームが在庫 ID の真実のソースです。handlingCode— 文字列。すべてのハンドリングタイプを取得 が返す値のいずれかである必要があります。直接rsd(再送)やtbc(未確定)には設定できません——専用エンドポイントを使ってください。よく使う値:ohd(保留)、rtn(リコール)、rst(再入庫)、dsp(廃棄)。
handlingStatusCode が pending で、新しいハンドリングが ohd(保留)の場合は常に許可されます——調査中に在庫を保留状態へ移すのに便利です。
次の場合はハンドリングを更新できません:
- 在庫の所属ラインアイテムに保留中の VAS(付加価値サービス)リクエストがある。先に すべての VAS を取得 と VAS エンドポイントで VAS をキャンセルまたは完了させてください。
副作用
- 在庫レコードの
handlingCodeとhandlingStatusCodeが更新されます。 - 新しいハンドリングが
ohdまたはoth(その他)でない場合、当該在庫の RMA スワップを防ぐため RMA マッピングがロックされます。
関連
- 返品在庫ハンドリングをキャンセル — 倉庫が実行する前にハンドリング決定を取り消します。
- 返品在庫 ID でリコール作成 — リコールされた在庫を専用のリコールパイプラインで流すには。
- 再送注文を作成 — 再送経路(こちらも本エンドポイントから直接到達できません)。
- Webhooks —
newInventoryCreated、vasUpdated、在庫ハンドリング完了イベント、notifyUserRmaSwappedが在庫ライフサイクルをエンドポイントへ配信します。
承認
Your API key
Your API token — keep this private
ボディ
application/json
レスポンス
Success
Universal response envelope. Successful responses include the business payload as additional top-level fields alongside correlationId and meta. Failed responses (auth errors, validation errors) only populate correlationId and meta, with meta.errorCode and meta.error describing the failure.
Unique correlation ID for tracing the request through Return Helper systems.
Application-level metadata for every API response. Inspect status and errorCode to detect soft-error responses (validation failures arrive as HTTP 200 with meta.status: 400).
Show child attributes
Show child attributes